%  traject1.m
% Matlab file for Part 1 of the Trajectories of Linear
% Systems module.
global A

disp('********************************************')
disp('Part 1:  Real Eigenvalues')
disp('********************************************')
disp('  ')    

    format short

    disp('1. Eigenvalues and Eigenvectors: ')
    disp('The following commands will compute the ')
    disp('eigenvalues and corresponding eigenvectors')
    disp('for the first matrix A.  Be sure to call') 
    disp('the matrix in each computation by the same ')
    disp('letter A. ')
    disp(' ')
    disp('Copy the following commands and paste them as')
    disp('a group at a MATLAB prompt, then execute them.')
    disp(' ')
    disp('   A = [2,-1; 3,-2] ')
    disp('   eig(A) ')
    disp('   [V, D] = eig(A);  V ')
    disp(' ')
    disp('The eigenvectors have been scaled so that ')
    disp('they each have length one.  The first column ')
    disp('of the V matrix is the eigenvector for the ')
    disp('first eigenvalue and the second column is ')
    disp('the eigenvector for the second eigenvalue. ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp(' ')
    disp('----------------------------------------------')
    disp('2. The Direction Field: ')
    disp('In order to draw the direction field,')
    disp('for the system of differential equations,')
    disp('we have defined a MATLAB function de_rhs')
    disp('giving the two right hand sides of the')
    disp('system in an m-file called de_rhs.m provided')
    disp('with this module. ')
    disp(' ')
    disp('The following MATLAB function:')
    disp('    dirfield(xmin,xmax,ymin,ymax) ')
    disp('for plotting direction fields is also contained')
    disp('in a m-file provided with this module.')
    disp(' ')
    disp('Let''s plot the direction field for our')
    disp('linear system with matrix A.  (Matrix A is')
    disp('passed to our dirfield routine via the ')
    disp('de_rhs function as a global variable.) ')
    disp(' ')
    disp('Enter: ')
    disp(' ')
    disp('   clf   % Clears figure ')
    disp('   dirfield(-5,5, -5,5) ')
    disp('   hold on    % Holds the plot ')
    disp(' ')  
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp(' ')
    disp('----------------------------------------------')
    disp('3. Add some Trajectories:')
    disp('We can solve the system of differential')
    disp('equations numerically for various initial ')
    disp('conditions by using the build in ode45 solver')
    disp('and then add the solution curves to the plot.')
    disp(' ')
    disp('  x0=[1, -3]''; ')
    disp('  [t,x]=ode45(''de_rhs'',[0,10],x0); ')
    disp('  plot(x(:,1),x(:,2),''r'') ')
    disp('  x0=[0.2, 4]''; ')
    disp('  [t,x]=ode45(''de_rhs'',[0,10],x0); ')
    disp('  plot(x(:,1),x(:,2),''g'') ')
    disp('  x0=[1.7, 5]''; ')
    disp('  [t,x]=ode45(''de_rhs'',[0,10],x0); ')
    disp('  plot(x(:,1),x(:,2),''k'') ')
    disp('  x0=[-2, -4]''; ')
    disp('  [t,x]=ode45(''de_rhs'',[0,10],x0); ')
    disp('  plot(x(:,1),x(:,2),''c'') ')
    disp('  axis( [-5,5. -5,5] ) ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('4. Explain in Terms of Eigenvalues and Eigenvectors:')
    disp('Use MATLAB comments to list your eigenvalues')
    disp('and eigenvectors for matrix A and to explain')
    disp('how features of the phase portrait correspond')
    disp('to them. ')
    disp(' ')
    disp('To continue afterwards, type the word return')
    disp('and hit enter!')
    disp(' ')

    keyboard;
    disp(' ')

    disp('----------------------------------------------')
    disp('More systems: ')
    disp('Using the procedure described in steps 1-4')
    disp('above, analyze the trajectories for the ')
    disp('linear systems corresponding to each of the')
    disp('other four A matrices listed.')
    disp(' ')
    disp('You will probably want to change the plot')
    disp('window for the direction field and the ')
    disp('initial conditions for your trajectories. ')
    disp(' ') 
    disp('When you have finished, to go on to')
    disp('part 2 of this module, type: traject2')
    disp(' ')